<script setup lang="ts">
import type { BlogPage } from '@/types/blog';

import { defineProps } from 'vue';
import { useI18n } from 'vue-i18n';
const { t } = useI18n();
// Props definition
defineProps<{
  post: BlogPage;
}>();
</script>

<template>
  <SlpContainer>
    <div class="featured-post">
      <div class="image">
        <NuxtImg :src="post.content.heroImage" />
      </div>
      <div class="text">
        <SlpTypography variant="heading4-bold" tag="h4">
          {{ post.content.title }}
        </SlpTypography>
        <SlpTypography variant="heading5" tag="h5">
          {{ post.content.description }}
        </SlpTypography>
        <SlpTypography v-if="post.content.authors" class="author" variant="body3-bold">
          {{ post.content.authors.length > 1 ? 'Authors' : 'Author' }}:
          {{ post.content.authors.join(', ') }}
        </SlpTypography>
        <SlpButton
          class="cta"
          :href="post.config.externalUrl || `/blog/${post.config.slug}`"
          :data-ga-name="post.content.title.toLowerCase()"
          data-ga-location="body"
        >
          {{ t('blog.tagPage.cta') }}
        </SlpButton>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.featured-post {
  display: flex;
  gap: 32px;
  margin: 48px 0;
  flex-direction: column;
  background: $color-surface-800;
  border-radius: 0 0 80px 0;
  @media (min-width: $breakpoint-lg) {
    flex-direction: row;
  }
  .text {
    padding: 40px 32px;
    padding-left: 8px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    .author {
      flex-basis: 100%;
    }
    .cta {
      inline-size: max-content;
    }
  }
  .image img {
    flex-shrink: 0;
    width: 100%;
    @media (min-width: $breakpoint-lg) {
      width: 560px;
      height: 100%;
      object-fit: cover;
    }
  }
}
</style>
